# New Flights Duplicate listing of the quote booking/confirmation endpoints (book and confirm) made available under the Flights collection. ## Create a Booked Quote - [POST /api/external/flight/quote/book](https://developer.fl3xx.com/reference/new-flights/postquotebookflights.md): This endpoint allows you to create a new booked quote and notifies the operator. This is a duplicate listing of POST /api/external/quote/book made available under the Flights collection. Note: Creating a booked quote via this endpoint will generate a notification in Sales. Key Features - Creation: Generates a new quote with the provided details. - Notification: Notifies the operator upon successful quote creation. Why Use This Endpoint? Using this endpoint helps to streamline the quote creation process, it is an essential tool for managing quotes efficiently and effectively. Account Selection Logic When submitting a quote, the system will attempt to create or pick the account provided in the following order: 1. Account ID: If customer.account.accountid is provided and valid, the account is retrieved using the ID. 2. External Reference: If no account is found, the system will search for an account using the customer.account.externalReference field. 3. Account Name: If no account is found, the system will search for an account using the customer.account.name field. 4. Account Number: If both customer.account.name and customer.account.accountNumber fields are provided, the system will attempt to find a match. 5. User Full Name: If no account is found by the above methods, the system will search for an account using the user's full name (concatenation offirstName and lastName). Pricing Engine Note When the aircraft uses the pricing engine, a price will only be returned if the request satisfies the pricing rules defined by the operator. If no applicable pricing rule is matched, the returned price will be 0. To ensure accurate pricing, it is recommended to contact the operator directly for details on the specific conditions required for price calculation. ## Update a Booked Quote - [PUT /api/external/flight/quote/book/{reference}](https://developer.fl3xx.com/reference/new-flights/putquotebookbybookingreferenceflights.md): Updates a booked quote using its booking reference. If you modify the departure time, you need to make sure to update the arrival time too since FL3XX only calculates it at the first time. This is a duplicate listing of PUT /api/external/quote/book/{reference} made available under the Flights collection. ## Cancel a Booked Quote - [DELETE /api/external/flight/quote/book/{reference}](https://developer.fl3xx.com/reference/new-flights/deletequotebookbybookingreferenceflights.md): Cancels a booked quote using its booking reference. This is a duplicate listing of DELETE /api/external/quote/book/{reference} made available under the Flights collection. ## Create a Confirmed Quote - [POST /api/external/flight/quote/confirm](https://developer.fl3xx.com/reference/new-flights/postquoteconfirmflights.md): This endpoint allows you to create a new confirmed (booked) quote and notifies the operator. This is a duplicate listing of POST /api/external/quote/confirm made available under the Flights collection. Note: Creating a confirmed quote via this endpoint will NOT generate a notification in Sales. Key Features - Creation: Generates a new quote with the provided details. - Notification: Notifies the operator upon successful quote creation. Why Use This Endpoint? Using this endpoint helps to streamline the quote creation process, it is an essential tool for managing quotes efficiently and effectively. Account Selection Logic When submitting a quote, the system will attempt to create or pick the account provided in the following order: 1. Account ID: If customer.account.accountid is provided and valid, the account is retrieved using the ID. 2. External Reference: If no account is found, the system will search for an account using the customer.account.externalReference field. 3. Account Name: If no account is found, the system will search for an account using the customer.account.name field. 4. Account Number: If both customer.account.name and customer.account.accountNumber fields are provided, the system will attempt to find a match. 5. User Full Name: If no account is found by the above methods, the system will search for an account using the user's full name (concatenation offirstName and lastName). Pricing Engine Note When the aircraft uses the pricing engine, a price will only be returned if the request satisfies the pricing rules defined by the operator. If no applicable pricing rule is matched, the returned price will be 0. To ensure accurate pricing, it is recommended to contact the operator directly for details on the specific conditions required for price calculation. ## Update a Confirmed Quote - [PUT /api/external/flight/quote/confirm/{reference}](https://developer.fl3xx.com/reference/new-flights/putquoteconfirmbybookingreferenceflights.md): Updates a confirmed (booked) quote using its booking reference. If you modify the departure time, you need to make sure to update the arrival time too since FL3XX only calculates it at the first time. This is a duplicate listing of PUT /api/external/quote/confirm/{reference} made available under the Flights collection. ## Cancel a Confirmed Quote - [DELETE /api/external/flight/quote/confirm/{reference}](https://developer.fl3xx.com/reference/new-flights/deletequoteconfirmbybookingreferenceflights.md): Cancels a confirmed (booked) quote using its booking reference. This is a duplicate listing of DELETE /api/external/quote/confirm/{reference} made available under the Flights collection.